Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	The Sysvinit package contains programs for controlling the startup, running, and shutdown of your system
Name:      	sysvinit
Version:   	2.86
Release:   	4
License: 	GNU/GPL
URL:		ftp://ftp.cistron.nl/pub/people/miquels/sysvinit/
Group:     	System/Base 
Source0: 	%{name}-%{version}.tar.gz
Source1:	inittab
Patch0:		sysvinit-2.86-reexec06-1.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires:	sysvinit-tools = %{version}-%{release}

%description
The sysvinit package contains a group of processes that control
the very basic functions of your system. sysvinit includes the init
program, the first program started by the Linux kernel when the
system boots. Init then controls the startup, running, and shutdown
of all other programs.

%package tools
Summary: Tools used for process and utmp management.
Group: System Environment/Base

%description tools
The sysvinit-tools package contains various tools used for process
management.

%prep
%setup -n %{name}-%{version}
%patch0 -p1
sed -i 's@Sending processes@& started by init@g' src/init.c

#drop wall, util-linux-ng has a maintained version of it
sed -i -e 's/utmpdump wall/utmpdump/' \
       -e 's/mountpoint.1 wall.1/mountpoint.1/' src/Makefile

%build
make %{?_smp_mflags} CC="%{__cc}" CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" -C src

%install
mkdir -p %{buildroot}/bin
mkdir -p %{buildroot}/sbin
mkdir -p %{buildroot}%_bindir
mkdir -p %{buildroot}%_includedir
mkdir -p %{buildroot}%_mandir/man1
mkdir -p %{buildroot}%_mandir/man5
mkdir -p %{buildroot}%_mandir/man8
mkdir -p %{buildroot}%_sysconfdir
#install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%_sysconfdir
make -C src ROOT=$RPM_BUILD_ROOT MANDIR=%{_mandir} \
    BIN_OWNER=`id -nu` BIN_GROUP=`id -ng` install

ln -snf killall5 $RPM_BUILD_ROOT/sbin/pidof

chmod 755 $RPM_BUILD_ROOT/usr/bin/utmpdump

rm -f $RPM_BUILD_ROOT/sbin/{halt,init,poweroff,reboot,runlevel,shutdown,telinit}
rm -f $RPM_BUILD_ROOT/%{_includedir}/initreq.h
rm -f $RPM_BUILD_ROOT/%{_mandir}/man5/*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/{halt,init,poweroff,reboot,runlevel,shutdown,telinit}*

%if 0
%files
%defattr(-,root,root)
%doc doc/Changelog doc/Install COPYRIGHT
%doc doc/sysvinit-%{version}.lsm
%config(noreplace) %verify(not md5 size mtime) %_sysconfdir/inittab
/sbin/halt
/sbin/init
/sbin/poweroff
/sbin/reboot
/sbin/runlevel
/sbin/shutdown
/sbin/telinit
%{_includedir}/initreq.h
%{_mandir}/man5/*
%{_mandir}/man8/halt*
%{_mandir}/man8/init*
%{_mandir}/man8/poweroff*
%{_mandir}/man8/reboot*
%{_mandir}/man8/runlevel*
%{_mandir}/man8/shutdown*
%{_mandir}/man8/telinit*
%endif

%files tools
%defattr(-,root,root)
%doc doc/Changelog
/bin/mountpoint
%{_bindir}/last
%{_bindir}/lastb
%{_bindir}/mesg
%{_bindir}/utmpdump
#%attr(2555,root,tty)  /usr/bin/wall
/bin/pidof
/sbin/pidof
/sbin/killall5
/sbin/sulogin
%{_mandir}/man1/*
%{_mandir}/man8/killall5*
%{_mandir}/man8/pidof*
%{_mandir}/man8/sulogin*
/sbin/bootlogd
%{_mandir}/man8/bootlogd.8.gz


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Oct 23 2008 Christian Metzen <metzench@ccux-linux.de> 2.86-4
- split packages, only package -tools
- sysvinit itself gets replaxed by upstart
* Wed Dec 20 2006 Christian Metzen <metzench@ccux-linux.de> 2.86-3
- added patch ( Install CD specific )
* Tue Jul 26 2005 Christian Metzen <metzench@ccux-linux.de> 2.86-2
- Tweaked specfile, removed post/postun tags, no replace of inittab if already present
* Sun Jul 03 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 2.86-1
- Version Update to 2.86, rebuilt spec 
* Wed Apr 14 2004 Christian Metzen <metzench@ccux-linux.de> 2.85-1
- Initial Release